<template>
  <div>
    <v-row class="ma-0">
      <v-col cols="3" class="d-inline-block">
        <v-text-field
          label="Tên sản phẩm"
          outlined
          dense
          v-model="productName"
          @keydown.enter="onSearch"
        ></v-text-field>
      </v-col>
      <v-col cols="3" class="d-inline-block">
        <v-select
          :items="statusItems"
          label="Trạng thái"
          dense
          outlined
          v-model="isSales"
        ></v-select>
      </v-col>
      <v-col cols="6" class="d-inline-block pa-0">
        <v-col cols="4" class="d-inline-block">
          <v-text-field
            label="Giá từ"
            outlined
            dense
            v-model="productPriceFrom"
            @keydown.enter="onSearch"
          ></v-text-field>
        </v-col>
        <label>~</label>
        <v-col cols="4" class="d-inline-block">
        <v-text-field
          label="Giá đến"
          outlined
          dense
          v-model="productPriceTo"
          @keydown.enter="onSearch"
        ></v-text-field>
      </v-col>
      </v-col>
    </v-row>
    <v-row class="ma-0">
      <v-col cols="12">
        <div class="d-inline-block">
          <v-btn color="primary" tile @click="$router.push({ name: 'ProductDataPage' })">
            <v-icon>mdi-account-plus</v-icon>
            Thêm Mới
          </v-btn>
        </div>
        <div class="d-inline-block float-right">
          <v-btn color="primary" tile @click="onSearch">
            <v-icon>mdi-magnify</v-icon>
            Tìm Kiếm
          </v-btn>
          <v-btn
            color="green lighten-2 white--text"
            tile
            @click="onClearSearch"
          >
            <v-icon>mdi-close</v-icon>
            Xóa Tìm
          </v-btn>
        </div>
      </v-col>
    </v-row>
  </div>
</template>

<script>
export default {
  props: {
    params: {
      type: Object,
      required: true,
      default: {},
    },
  },
  data() {
    return {
      groupRoleItems: ["Admin", "Reviewer", "Editor"],
      statusItems: [
        {
          text: "Đang bán",
          value: 1,
        },
        {
          text: "Ngừng bán",
          value: 0,
        },
        {
          text: "Hết hàng",
          value: 2,
        },
      ],
    };
  },
  computed: {
    productName: {
      get() {
        return this.params.productName;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "productName",
          value,
        });
      },
    },
    isSales: {
      get() {
        return this.params.isSales;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "isSales",
          value,
        });
      },
    },
    productPriceFrom: {
      get() {
        return this.params.productPriceFrom;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "productPriceFrom",
          value,
        });
      },
    },
    productPriceTo: {
      get() {
        return this.params.productPriceTo;
      },
      set(value) {
        this.$emit("onChangeParams", {
          key: "productPriceTo",
          value,
        });
      },
    },
  },
  methods: {
    onSearch() {
      this.$emit("onSearch");
    },
    onClearSearch() {
      this.$emit("onClearSearch");
    },
  },
};
</script>
<style scoped></style>
